AnnotationDesc (Java SE 9 & JDK 9 )
Keywords: com.sun.javadoc.AnnotationDesc interface

Module jdk.javadoc
Package com.sun.javadoc

## Interface AnnotationDesc

- Deprecated.
  The declarations in this package have been superseded by those in the package `jdk.javadoc.doclet`. For more information, see the Migration Guide in the documentation for that package.

      @Deprecated
      public interface AnnotationDesc

  Represents an annotation. An annotation associates a value with each element of an annotation type.
  Since:
    1.5

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `AnnotationDesc.ElementValuePair` | Deprecated. The declarations in this package have been superseded by those in the package `jdk.javadoc.doclet`. For more information, see the Migration Guide in the documentation for that package.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AnnotationTypeDoc` | `annotationType​()` | Deprecated. Returns the annotation type of this annotation.
    `AnnotationDesc.ElementValuePair[]` | `elementValues​()` | Deprecated. Returns this annotation's elements and their values.
    `boolean` | `isSynthesized​()` | Deprecated. Check for the synthesized bit on the annotation.

- - ### Method Detail

    - #### annotationType

          AnnotationTypeDoc annotationType​()

      Deprecated.
      Returns the annotation type of this annotation.
      Returns:
        the annotation type of this annotation.

    - #### elementValues

          AnnotationDesc.ElementValuePair[] elementValues​()

      Deprecated.
      Returns this annotation's elements and their values. Only those explicitly present in the annotation are included, not those assuming their default values. Returns an empty array if there are none.
      Returns:
        this annotation's elements and their values.

    - #### isSynthesized

          boolean isSynthesized​()

      Deprecated.
      Check for the synthesized bit on the annotation.
      Returns:
        true if the annotation is synthesized.